POST api/bagapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "ba32061c-bda3-4a65-8ae1-1326925a11ef",
"cleanroom_type_id": "4cb7b105-4310-451d-a83a-0ed6c18354d5",
"code": 3,
"date_hu": "2026-09-25T05:42:25.3773947+00:00",
"id": "36db1e91-5a79-4150-8bd3-b8fd0d375240",
"site_id": "054db09d-d114-47c0-9246-b9a0458fcf1f",
"wash_count": 6,
"position": 1,
"pc_id": "14210451-9478-4cb0-9a71-c66382ea6679"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>ba32061c-bda3-4a65-8ae1-1326925a11ef</bag_status_id> <cleanroom_type_id>4cb7b105-4310-451d-a83a-0ed6c18354d5</cleanroom_type_id> <code>3</code> <date_hu>2026-09-25T05:42:25.3773947+00:00</date_hu> <id>36db1e91-5a79-4150-8bd3-b8fd0d375240</id> <pc_id>14210451-9478-4cb0-9a71-c66382ea6679</pc_id> <position>1</position> <site_id>054db09d-d114-47c0-9246-b9a0458fcf1f</site_id> <wash_count>6</wash_count> </bag>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"619fae24-9965-429b-b913-a9c0705d25c5"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">619fae24-9965-429b-b913-a9c0705d25c5</guid>